<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration PUBLIC "-//APACHE//DTD LOG4J 1.2//EN" "log4j.dtd">

<log4j:configuration
	xmlns:log4j="http://jakarta.apache.org/log4j/">

	<appender name="console"
		class="org.apache.log4j.ConsoleAppender">

		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern"
				value="%d{yyyy-MM-dd HH:mm:ss} %l:%L - %m%n" />
		</layout>

	</appender>

	<appender name="file"
		class="org.apache.log4j.RollingFileAppender">
		<param name="append" value="true" />
		<param name="maxFileSize" value="10MB" />
		<param name="maxBackupIndex" value="10" />
		<param name="file" value="C:/logs/timesheet.log" />

		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern"
				value="%d{yyyy-MM-dd HH:mm:ss} %l:%L - %m%n" />
		</layout>

	</appender>

	<root>
		<level value="DEBUG" />
		<appender-ref ref="console" />
		<appender-ref ref="file" />
	</root>

</log4j:configuration>